{
  "description": "DeploymentStatus is the most recently observed status of the Deployment.",
  "properties": {
    "availableReplicas": {
      "description": "Total number of available pods (ready for at least minReadySeconds) targeted by this deployment.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "collisionCount": {
      "description": "Count of hash collisions for the Deployment. The Deployment controller uses this field as a collision avoidance mechanism when it needs to create the name for the newest ReplicaSet.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "conditions": {
      "description": "Represents the latest available observations of a deployment's current state.",
      "items": {
        "$ref": "/api/_definitions.json#/$defs/io.k8s.api.apps.v1.DeploymentCondition"
      },
      "type": [
        "array",
        "null"
      ],
      "x-kubernetes-list-map-keys": [
        "type"
      ],
      "x-kubernetes-list-type": "map",
      "x-kubernetes-patch-merge-key": "type",
      "x-kubernetes-patch-strategy": "merge"
    },
    "observedGeneration": {
      "description": "The generation observed by the deployment controller.",
      "format": "int64",
      "type": [
        "integer",
        "null"
      ]
    },
    "readyReplicas": {
      "description": "readyReplicas is the number of pods targeted by this Deployment with a Ready Condition.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "replicas": {
      "description": "Total number of non-terminated pods targeted by this deployment (their labels match the selector).",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "unavailableReplicas": {
      "description": "Total number of unavailable pods targeted by this deployment. This is the total number of pods that are still required for the deployment to have 100% available capacity. They may either be pods that are running but not yet available or pods that still have not been created.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "updatedReplicas": {
      "description": "Total number of non-terminated pods targeted by this deployment that have the desired template spec.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    }
  },
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "$id": "https://kubernetes.io/api/deploymentstatus/apps/v1"
}